<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:b1e="urn:com.sap.b1i.sim:b1event" xmlns:b1ie="urn:com.sap.b1i.sim:b1ievent" xmlns:b1im="urn:com.sap.b1i.sim:b1imessage" xmlns:bfa="urn:com.sap.b1i.bizprocessor:bizatoms" xmlns:jdbc="urn:com.sap.b1i.adapter:jdbcadapter" xmlns:js="com.sap.b1i.bpc_tools.Javascript" xmlns:rfc="urn:sap-com:document:sap:rfc:functions" xmlns:sim="urn:com.sap.b1i.sim:entity" xmlns:uplt="urn:com.sap.b1i.xcellerator:upltdoc" xmlns:utils2="com.sap.b1i.bpc_tools.Utilities" xmlns:vpf="urn:com.sap.b1i.vplatform:entity" xmlns:xci="urn:com.sap.b1i.xcellerator:intdoc" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" bfa:force="" vpf:force="" jdbc:force="" rfc:force="" b1ie:force="" b1e:force="" xci:force="" sim:force="" utils2:force="" b1im:force="" uplt:force="" js:force=""><xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output><xsl:param name="atom"></xsl:param><xsl:param name="sessionid"></xsl:param><xsl:variable name="msg" select="/vpf:Msg/vpf:Body/vpf:Payload[./@Role=&apos;S&apos;]"></xsl:variable><xsl:variable name="vpSender" select="/vpf:Msg/vpf:Header/vpf:Sender/@Id"></xsl:variable><xsl:variable name="vpObject" select="/vpf:Msg/vpf:Header/vpf:Sender/@ObjId"></xsl:variable><xsl:variable name="vpReceiver" select="/vpf:Msg/vpf:Header/vpf:ReceiverList/vpf:Receiver[./@handover=&apos;P&apos;]/@Id"></xsl:variable><xsl:variable name="vpCOBIAppVersion" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIAppVersion&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIDeviceId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIDeviceId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIProfile" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIProfile&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBISysId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBISysId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIUserId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIUserId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIFiles" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIFiles&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBILogs" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBILogs&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIEnablePDNDraft" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIEnablePDNDraft&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIRemPrtPath" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIRemPrtPath&apos;]/@value"></xsl:variable><xsl:template match="/"><xsl:variable name="vptsDoc" select="document(&apos;/com.sap.b1i.internal/xml/timestamp&apos;)"></xsl:variable><xsl:variable name="vpts" select="concat($vptsDoc/*/@year,&apos;/&apos;,$vptsDoc/*/@month,&apos;/&apos;,$vptsDoc/*/@date,&apos; &apos;,$vptsDoc/*/@hour,&apos;:&apos;,$vptsDoc/*/@minute,&apos;:&apos;,$vptsDoc/*/@second)"></xsl:variable><Msg xmlns="urn:com.sap.b1i.vplatform:entity">
      <xsl:copy-of select="/vpf:Msg/@*"></xsl:copy-of>
      <xsl:copy-of select="/vpf:Msg/vpf:Header"></xsl:copy-of>
      <Body>
        <xsl:copy-of select="/vpf:Msg/vpf:Body/*"></xsl:copy-of>
        <Payload Role="X" id="{$atom}">
          <xsl:call-template name="transform"></xsl:call-template>
        </Payload>
      </Body>
    </Msg></xsl:template><xsl:key name="batches" match="//cobiwms/body/lines/line/batches/batch" use="concat(../../docLine, &apos;_&apos;, batchNumber)"></xsl:key><xsl:template name="transform">
    <InventoryCounting>
      <DocumentEntry>
        <xsl:value-of select="$msg/cobiwms/body/document/docId"></xsl:value-of>
      </DocumentEntry>
      <U_CWMS_Updater>
        <xsl:value-of select="$vpCOBIUserId"></xsl:value-of>
      </U_CWMS_Updater>
      <U_CWMS_UpdaterDevice>
        <xsl:value-of select="$vpCOBIDeviceId"></xsl:value-of>
      </U_CWMS_UpdaterDevice>
      <InventoryCountingLines>
        <xsl:for-each select="$msg/cobiwms/body/lines/line">
          <InventoryCountingLine>
            <LineNumber>
              <xsl:value-of select="docLine"></xsl:value-of>
            </LineNumber>
            <ItemCode>
              <xsl:value-of select="itemCode"></xsl:value-of>
            </ItemCode>
            <WarehouseCode>
              <xsl:value-of select="warehouseCode"></xsl:value-of>
            </WarehouseCode>
            <BinEntry>
              <xsl:value-of select="locationId"></xsl:value-of>
            </BinEntry>
            <Counted>
              <xsl:if test="isCounted = &apos;true&apos;">tYES</xsl:if>
              <xsl:if test="isCounted = &apos;false&apos;">tNO</xsl:if>
            </Counted>
            <xsl:if test="unitId = -1">
              <CountedQuantity>
                <xsl:value-of select="countedQuantity"></xsl:value-of>
              </CountedQuantity>
              <UoMCode>
                <xsl:value-of select="unitCode"></xsl:value-of>
              </UoMCode>
            </xsl:if>
            <xsl:if test="unitId != -1">
              <InventoryCountingLineUoMs>
                <InventoryCountingLineUoM>
                  <UoMCountedQuantity>
                    <xsl:value-of select="countedQuantity"></xsl:value-of>
                  </UoMCountedQuantity>
                  <UoMCode>
                    <xsl:value-of select="unitCode"></xsl:value-of>
                  </UoMCode>
                </InventoryCountingLineUoM>
              </InventoryCountingLineUoMs>
            </xsl:if>
            <xsl:if test="isClosed = &apos;true&apos;">
              <LineStatus>clsClosed</LineStatus>
            </xsl:if>
            <xsl:if test="isClosed = &apos;false&apos;">
              <InventoryCountingBatchNumbers>
                <xsl:for-each select="batches/batch[generate-id() = generate-id(key(&apos;batches&apos;, concat(../../docLine, &apos;_&apos;, batchNumber))[1])]">
                  <InventoryCountingBatchNumber>
                    <BatchNumber>
                      <xsl:value-of select="batchNumber"></xsl:value-of>
                    </BatchNumber>
                    <xsl:variable name="identicalBatches" select="../batch[batchNumber = current()/batchNumber]"></xsl:variable>
                    <Quantity>
                      <xsl:value-of select="sum($identicalBatches/countedQuantity)"></xsl:value-of>
                    </Quantity>
                    <xsl:if test="$identicalBatches/productionDate">
                      <ManufactureDate>
                        <xsl:value-of select="$identicalBatches/productionDate[1]"></xsl:value-of>
                      </ManufactureDate>
                    </xsl:if>
                    <xsl:if test="$identicalBatches/expiryDate">
                      <ExpiryDate>
                        <xsl:value-of select="$identicalBatches/expiryDate[1]"></xsl:value-of>
                      </ExpiryDate>
                    </xsl:if>
                    <xsl:if test="attribute1">
                      <ManufacturerSerialNumber>
                        <xsl:value-of select="attribute1"></xsl:value-of>
                      </ManufacturerSerialNumber>
                    </xsl:if>
                    <xsl:if test="attribute2">
                      <InternalSerialNumber>
                        <xsl:value-of select="attribute1"></xsl:value-of>
                      </InternalSerialNumber>
                    </xsl:if>
                    <xsl:if test="details">
                      <Notes>
                        <xsl:value-of select="details"></xsl:value-of>
                      </Notes>
                    </xsl:if>
                  </InventoryCountingBatchNumber>
                </xsl:for-each>
              </InventoryCountingBatchNumbers>
              <InventoryCountingSerialNumbers>
                <xsl:for-each select="serials/serial">
                  <InventoryCountingSerialNumber>
                    <InternalSerialNumber>
                      <xsl:value-of select="serialNumber"></xsl:value-of>
                    </InternalSerialNumber>
                    <xsl:if test="systemNumber">
                      <SystemSerialNumber>
                        <xsl:value-of select="systemNumber"></xsl:value-of>
                      </SystemSerialNumber>
                    </xsl:if>
                    <xsl:if test="lotNumber">
                      <LotNumber>
                        <xsl:value-of select="lotNumber"></xsl:value-of>
                      </LotNumber>
                    </xsl:if>
                    <Quantity>1</Quantity>
                    <xsl:if test="manufacturerNumber">
                      <ManufacturerSerialNumber>
                        <xsl:value-of select="manufacturerNumber"></xsl:value-of>
                      </ManufacturerSerialNumber>
                    </xsl:if>
                    <xsl:if test="details">
                      <Notes>
                        <xsl:value-of select="details"></xsl:value-of>
                      </Notes>
                    </xsl:if>
                  </InventoryCountingSerialNumber>
                </xsl:for-each>
              </InventoryCountingSerialNumbers>
            </xsl:if>
          </InventoryCountingLine>
        </xsl:for-each>
      </InventoryCountingLines>
    </InventoryCounting>
  </xsl:template></xsl:stylesheet>