<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:b1e="urn:com.sap.b1i.sim:b1event" xmlns:b1ie="urn:com.sap.b1i.sim:b1ievent" xmlns:b1im="urn:com.sap.b1i.sim:b1imessage" xmlns:bfa="urn:com.sap.b1i.bizprocessor:bizatoms" xmlns:jdbc="urn:com.sap.b1i.adapter:jdbcadapter" xmlns:js="com.sap.b1i.bpc_tools.Javascript" xmlns:rfc="urn:sap-com:document:sap:rfc:functions" xmlns:sim="urn:com.sap.b1i.sim:entity" xmlns:uplt="urn:com.sap.b1i.xcellerator:upltdoc" xmlns:utils2="com.sap.b1i.bpc_tools.Utilities" xmlns:vpf="urn:com.sap.b1i.vplatform:entity" xmlns:xci="urn:com.sap.b1i.xcellerator:intdoc" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" bfa:force="" vpf:force="" jdbc:force="" rfc:force="" b1ie:force="" b1e:force="" xci:force="" sim:force="" utils2:force="" b1im:force="" uplt:force="" js:force=""><xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output><xsl:param name="atom"></xsl:param><xsl:param name="sessionid"></xsl:param><xsl:variable name="msg" select="/vpf:Msg/vpf:Body/vpf:Payload[./@Role=&apos;S&apos;]"></xsl:variable><xsl:variable name="vpSender" select="/vpf:Msg/vpf:Header/vpf:Sender/@Id"></xsl:variable><xsl:variable name="vpObject" select="/vpf:Msg/vpf:Header/vpf:Sender/@ObjId"></xsl:variable><xsl:variable name="vpReceiver" select="/vpf:Msg/vpf:Header/vpf:ReceiverList/vpf:Receiver[./@handover=&apos;P&apos;]/@Id"></xsl:variable><xsl:variable name="vpCOBIAppVersion" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIAppVersion&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIDeviceId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIDeviceId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIProfile" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIProfile&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBISysId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBISysId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIUserId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIUserId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIFiles" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIFiles&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBILogs" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBILogs&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIEnablePDNDraft" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIEnablePDNDraft&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIRemPrtPath" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIRemPrtPath&apos;]/@value"></xsl:variable><xsl:template match="/"><xsl:variable name="vptsDoc" select="document(&apos;/com.sap.b1i.internal/xml/timestamp&apos;)"></xsl:variable><xsl:variable name="vpts" select="concat($vptsDoc/*/@year,&apos;/&apos;,$vptsDoc/*/@month,&apos;/&apos;,$vptsDoc/*/@date,&apos; &apos;,$vptsDoc/*/@hour,&apos;:&apos;,$vptsDoc/*/@minute,&apos;:&apos;,$vptsDoc/*/@second)"></xsl:variable><vpf:Msg>
      <xsl:copy-of select="/vpf:Msg/@*"></xsl:copy-of>
      <xsl:copy-of select="/vpf:Msg/vpf:Header"></xsl:copy-of>
      <vpf:Body>
        <xsl:copy-of select="/vpf:Msg/vpf:Body/*"></xsl:copy-of>
        <vpf:Payload Role="X" id="{$atom}" ts="{$vpts}">
          <xsl:call-template name="transform"></xsl:call-template>
        </vpf:Payload>
      </vpf:Body>
    </vpf:Msg></xsl:template><xsl:template name="transform">
    <xsl:if test="$vpCOBIProfile = &apos;CHEESE&apos;">
      <xsl:variable name="pklUpdateResult" select="/vpf:Msg/vpf:Body/vpf:Payload[@id=&apos;atom1&apos;]"></xsl:variable>
      <xsl:variable name="batches" select="$msg/cobiwms/body/lines/line/batches/batch"></xsl:variable>
      <xsl:choose>
        <xsl:when test="//COBIError"></xsl:when>
        <xsl:when test="not($pklUpdateResult/@status = &apos;success&apos; and $pklUpdateResult/@DIresult = &apos;success&apos;)">
          <COBIError></COBIError>
        </xsl:when>
        <xsl:when test="not($batches)">
          <xsl:comment>No picking data found.</xsl:comment>
        </xsl:when>
        <xsl:otherwise>
          <sql>
            <xsl:for-each select="$batches">
                cmp_recordPickingDetails
                    <xsl:value-of select="$msg/cobiwms/head/deviceId"></xsl:value-of>,
                    <xsl:value-of select="$msg/cobiwms/body/document/docId"></xsl:value-of>,
                    &apos;<xsl:value-of select="../../orderDocNum"></xsl:value-of>&apos;,
                    <xsl:value-of select="../../orderDocLine"></xsl:value-of>,
                    &apos;<xsl:value-of select="../../itemCode"></xsl:value-of>&apos;,
                    &apos;<xsl:value-of select="batchNumber"></xsl:value-of>&apos;,
                    <xsl:value-of select="pickedQuantity"></xsl:value-of>,
                    <xsl:value-of select="place"></xsl:value-of>,
                    <xsl:value-of select="pallet"></xsl:value-of>;
                <xsl:text><!-- newline -->
                </xsl:text>
            </xsl:for-each>
          </sql>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
  </xsl:template></xsl:stylesheet>