<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:b1e="urn:com.sap.b1i.sim:b1event" xmlns:b1ie="urn:com.sap.b1i.sim:b1ievent" xmlns:b1im="urn:com.sap.b1i.sim:b1imessage" xmlns:bfa="urn:com.sap.b1i.bizprocessor:bizatoms" xmlns:jdbc="urn:com.sap.b1i.adapter:jdbcadapter" xmlns:js="com.sap.b1i.bpc_tools.Javascript" xmlns:rfc="urn:sap-com:document:sap:rfc:functions" xmlns:sim="urn:com.sap.b1i.sim:entity" xmlns:uplt="urn:com.sap.b1i.xcellerator:upltdoc" xmlns:utils2="com.sap.b1i.bpc_tools.Utilities" xmlns:vpf="urn:com.sap.b1i.vplatform:entity" xmlns:xci="urn:com.sap.b1i.xcellerator:intdoc" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" bfa:force="" vpf:force="" jdbc:force="" rfc:force="" b1ie:force="" b1e:force="" xci:force="" sim:force="" utils2:force="" b1im:force="" uplt:force="" js:force=""><xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output><xsl:param name="atom"></xsl:param><xsl:param name="sessionid"></xsl:param><xsl:variable name="msg" select="/vpf:Msg/vpf:Body/vpf:Payload[./@Role=&apos;S&apos;]"></xsl:variable><xsl:variable name="vpSender" select="/vpf:Msg/vpf:Header/vpf:Sender/@Id"></xsl:variable><xsl:variable name="vpObject" select="/vpf:Msg/vpf:Header/vpf:Sender/@ObjId"></xsl:variable><xsl:variable name="vpReceiver" select="/vpf:Msg/vpf:Header/vpf:ReceiverList/vpf:Receiver[./@handover=&apos;P&apos;]/@Id"></xsl:variable><xsl:variable name="vpCOBIAppVersion" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIAppVersion&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIDeviceId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIDeviceId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIProfile" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIProfile&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBISysId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBISysId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIUserId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIUserId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIFiles" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIFiles&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBILogs" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBILogs&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIEnablePDNDraft" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIEnablePDNDraft&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIRemPrtPath" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIRemPrtPath&apos;]/@value"></xsl:variable><xsl:template match="/"><xsl:variable name="vptsDoc" select="document(&apos;/com.sap.b1i.internal/xml/timestamp&apos;)"></xsl:variable><xsl:variable name="vpts" select="concat($vptsDoc/*/@year,&apos;/&apos;,$vptsDoc/*/@month,&apos;/&apos;,$vptsDoc/*/@date,&apos; &apos;,$vptsDoc/*/@hour,&apos;:&apos;,$vptsDoc/*/@minute,&apos;:&apos;,$vptsDoc/*/@second)"></xsl:variable><Msg xmlns="urn:com.sap.b1i.vplatform:entity">
      <xsl:copy-of select="/vpf:Msg/@*"></xsl:copy-of>
      <xsl:copy-of select="/vpf:Msg/vpf:Header"></xsl:copy-of>
      <Body>
        <xsl:copy-of select="/vpf:Msg/vpf:Body/*"></xsl:copy-of>
        <Payload Role="X" id="{$atom}">
          <xsl:call-template name="transform"></xsl:call-template>
        </Payload>
      </Body>
    </Msg></xsl:template><xsl:include href="../../com.sap.b1i.system.lib/xsl/datetime.xsl"></xsl:include><xsl:template name="transform">
    <xsl:variable name="doc" select="$msg/cobiwms/body/document"></xsl:variable>
    <xsl:variable name="lines" select="$msg/cobiwms/body/lines/line"></xsl:variable>
    <CMP_RecipeProduction>
      <U_Code>
        <xsl:value-of select="$doc/code"></xsl:value-of>
      </U_Code>
      <U_Name>
        <xsl:value-of select="$doc/name"></xsl:value-of>
      </U_Name>
      <U_Quantity>
        <xsl:value-of select="$doc/quantity"></xsl:value-of>
      </U_Quantity>
      <U_Date>
        <xsl:if test="$doc/date">
          <xsl:value-of select="$doc/date"></xsl:value-of>
        </xsl:if>
        <xsl:if test="not($doc/date)">
          <xsl:call-template name="b1ilib.today"></xsl:call-template>
        </xsl:if>
      </U_Date>
      <U_Time>
        <xsl:value-of select="$doc/time"></xsl:value-of>
      </U_Time>
      <U_CreatedBy>
        <xsl:value-of select="$doc/user"></xsl:value-of>
      </U_CreatedBy>
      <CMP_RCP1Collection>
        <xsl:for-each select="$lines">
          <CMP_RCP1>
            <U_ItemCode>
              <xsl:value-of select="itemCode"></xsl:value-of>
            </U_ItemCode>
            <U_Quantity>
              <xsl:value-of select="quantity"></xsl:value-of>
            </U_Quantity>
            <U_Warehouse>
              <xsl:value-of select="warehouseCode"></xsl:value-of>
            </U_Warehouse>
            <U_BatchNumber>
              <xsl:value-of select="batchNumber"></xsl:value-of>
            </U_BatchNumber>
          </CMP_RCP1>
        </xsl:for-each>
      </CMP_RCP1Collection>
    </CMP_RecipeProduction>
  </xsl:template></xsl:stylesheet>