<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:b1e="urn:com.sap.b1i.sim:b1event" xmlns:b1ie="urn:com.sap.b1i.sim:b1ievent" xmlns:b1im="urn:com.sap.b1i.sim:b1imessage" xmlns:bfa="urn:com.sap.b1i.bizprocessor:bizatoms" xmlns:jdbc="urn:com.sap.b1i.adapter:jdbcadapter" xmlns:js="com.sap.b1i.bpc_tools.Javascript" xmlns:rfc="urn:sap-com:document:sap:rfc:functions" xmlns:sim="urn:com.sap.b1i.sim:entity" xmlns:uplt="urn:com.sap.b1i.xcellerator:upltdoc" xmlns:utils2="com.sap.b1i.bpc_tools.Utilities" xmlns:vpf="urn:com.sap.b1i.vplatform:entity" xmlns:xci="urn:com.sap.b1i.xcellerator:intdoc" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" bfa:force="" vpf:force="" jdbc:force="" rfc:force="" b1ie:force="" b1e:force="" xci:force="" sim:force="" utils2:force="" b1im:force="" uplt:force="" js:force=""><xsl:output method="xml" encoding="UTF-8" indent="yes"></xsl:output><xsl:param name="atom"></xsl:param><xsl:param name="sessionid"></xsl:param><xsl:variable name="msg" select="/vpf:Msg/vpf:Body/vpf:Payload[./@Role=&apos;S&apos;]"></xsl:variable><xsl:variable name="vpSender" select="/vpf:Msg/vpf:Header/vpf:Sender/@Id"></xsl:variable><xsl:variable name="vpObject" select="/vpf:Msg/vpf:Header/vpf:Sender/@ObjId"></xsl:variable><xsl:variable name="vpReceiver" select="/vpf:Msg/vpf:Header/vpf:ReceiverList/vpf:Receiver[./@handover=&apos;P&apos;]/@Id"></xsl:variable><xsl:variable name="vpCOBIAppVersion" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIAppVersion&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIDeviceId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIDeviceId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIProfile" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIProfile&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBISysId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBISysId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIUserId" select="/vpf:Msg/vpf:Header/vpf:Variables/vpf:var[./@id=&apos;COBIUserId&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIFiles" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIFiles&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBILogs" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBILogs&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIEnablePDNDraft" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIEnablePDNDraft&apos;]/@value"></xsl:variable><xsl:variable name="vpCOBIRemPrtPath" select="/vpf:Msg/vpf:Header/vpf:Properties/vpf:prop[./@id=&apos;COBIRemPrtPath&apos;]/@value"></xsl:variable><xsl:template match="/"><xsl:variable name="vptsDoc" select="document(&apos;/com.sap.b1i.internal/xml/timestamp&apos;)"></xsl:variable><xsl:variable name="vpts" select="concat($vptsDoc/*/@year,&apos;/&apos;,$vptsDoc/*/@month,&apos;/&apos;,$vptsDoc/*/@date,&apos; &apos;,$vptsDoc/*/@hour,&apos;:&apos;,$vptsDoc/*/@minute,&apos;:&apos;,$vptsDoc/*/@second)"></xsl:variable><vpf:Msg>
      <xsl:copy-of select="/vpf:Msg/@*"></xsl:copy-of>
      <xsl:copy-of select="/vpf:Msg/vpf:Header"></xsl:copy-of>
      <vpf:Body>
        <xsl:copy-of select="/vpf:Msg/vpf:Body/*"></xsl:copy-of>
        <vpf:Payload Role="X" id="{$atom}" ts="{$vpts}">
          <xsl:call-template name="transform"></xsl:call-template>
        </vpf:Payload>
      </vpf:Body>
    </vpf:Msg></xsl:template><xsl:template name="transform">
    <xsl:variable name="doc" select="$msg/cobiwms/body/document"></xsl:variable>
    <xsl:variable name="lines" select="$msg/cobiwms/body/lines/line"></xsl:variable>
    <BOM>
      <BO>
        <AdmInfo>
          <Object>21</Object>
          <Version>2</Version>
        </AdmInfo>
        <Documents>
          <row>
            <xsl:if test="$doc/date">
              <DocDate>
                <xsl:value-of select="$doc/date"></xsl:value-of>
              </DocDate>
            </xsl:if>
            <CardCode>
              <xsl:value-of select="$doc/businessPartner"></xsl:value-of>
            </CardCode>
            <xsl:if test="$doc/employeeId != -1">
              <DocumentsOwner>
                <xsl:value-of select="$doc/employeeId"></xsl:value-of>
              </DocumentsOwner>
            </xsl:if>
            <xsl:if test="$doc/reference != &apos;&apos;">
              <NumAtCard>
                <xsl:value-of select="$doc/reference"></xsl:value-of>
              </NumAtCard>
            </xsl:if>
            <xsl:if test="$doc/remarks != &apos;&apos;">
              <Comments>
                <xsl:value-of select="$doc/remarks"></xsl:value-of>
              </Comments>
            </xsl:if>
            <U_CWMS_Creator>
              <xsl:value-of select="$doc/user"></xsl:value-of>
            </U_CWMS_Creator>
            <U_CWMS_CreatorDevice>
              <xsl:value-of select="$vpCOBIDeviceId"></xsl:value-of>
            </U_CWMS_CreatorDevice>
            <xsl:copy-of select="$doc/customFields/*"></xsl:copy-of>
          </row>
        </Documents>
        <Document_Lines>
          <xsl:for-each select="$lines">
            <row>
              <LineNum>
                <xsl:value-of select="position()"></xsl:value-of>
              </LineNum>
              <ItemCode>
                <xsl:value-of select="itemCode"></xsl:value-of>
              </ItemCode>
              <xsl:if test="itemName">
                <ItemDescription>
                  <xsl:value-of select="itemName"></xsl:value-of>
                </ItemDescription>
              </xsl:if>
              <Quantity>
                <xsl:value-of select="quantity"></xsl:value-of>
              </Quantity>
              <xsl:if test="unitId != -1">
                <UoMEntry>
                  <xsl:value-of select="unitId"></xsl:value-of>
                </UoMEntry>
              </xsl:if>
              <xsl:if test="warehouseCode">
                <WarehouseCode>
                  <xsl:value-of select="warehouseCode"></xsl:value-of>
                </WarehouseCode>
              </xsl:if>
              <xsl:if test="baseDocLine">
                <BaseType>
                  <xsl:value-of select="baseDocType"></xsl:value-of>
                </BaseType>
                <BaseEntry>
                  <xsl:value-of select="baseDocId"></xsl:value-of>
                </BaseEntry>
                <BaseLine>
                  <xsl:value-of select="baseDocLine"></xsl:value-of>
                </BaseLine>
              </xsl:if>
            </row>
          </xsl:for-each>
        </Document_Lines>
        <BatchNumbers>
          <xsl:for-each select="$lines">
            <xsl:variable name="position" select="position()"></xsl:variable>
            <xsl:for-each select="batches/batch">
              <row>
                <BaseLineNumber>
                  <xsl:value-of select="$position"></xsl:value-of>
                </BaseLineNumber>
                <BatchNumber>
                  <xsl:value-of select="batchNumber"></xsl:value-of>
                </BatchNumber>
                <Quantity>
                  <xsl:value-of select="assignedQuantity"></xsl:value-of>
                </Quantity>
                <xsl:if test="productionDate">
                  <ManufacturingDate>
                    <xsl:value-of select="productionDate"></xsl:value-of>
                  </ManufacturingDate>
                </xsl:if>
                <xsl:if test="expiryDate">
                  <ExpiryDate>
                    <xsl:value-of select="expiryDate"></xsl:value-of>
                  </ExpiryDate>
                </xsl:if>
              </row>
            </xsl:for-each>
          </xsl:for-each>
        </BatchNumbers>
        <SerialNumbers>
          <xsl:for-each select="$lines">
            <xsl:variable name="position" select="position()"></xsl:variable>
            <xsl:for-each select="serials/serial">
              <row>
                <BaseLineNumber>
                  <xsl:value-of select="$position"></xsl:value-of>
                </BaseLineNumber>
                <InternalSerialNumber>
                  <xsl:value-of select="serialNumber"></xsl:value-of>
                </InternalSerialNumber>
                <xsl:if test="lotNumber">
                  <BatchID>
                    <xsl:value-of select="lotNumber"></xsl:value-of>
                  </BatchID>
                </xsl:if>
              </row>
            </xsl:for-each>
          </xsl:for-each>
        </SerialNumbers>
        <DocumentLinesBinAllocations>
          <xsl:for-each select="$lines">
            <xsl:variable name="linePos" select="position()"></xsl:variable>
            <xsl:for-each select="locations/location">
              <row>
                <BaseLineNumber>
                  <xsl:value-of select="$linePos"></xsl:value-of>
                </BaseLineNumber>
                <BinAbsEntry>
                  <xsl:value-of select="id"></xsl:value-of>
                </BinAbsEntry>
                <Quantity>
                  <xsl:value-of select="assignedQuantity"></xsl:value-of>
                </Quantity>
              </row>
            </xsl:for-each>
            <xsl:for-each select="batches/batch">
              <xsl:variable name="batchPos" select="position() - 1"></xsl:variable>
              <xsl:for-each select="locations/location">
                <row>
                  <BaseLineNumber>
                    <xsl:value-of select="$linePos"></xsl:value-of>
                  </BaseLineNumber>
                  <SerialAndBatchNumbersBaseLine>
                    <xsl:value-of select="$batchPos"></xsl:value-of>
                  </SerialAndBatchNumbersBaseLine>
                  <BinAbsEntry>
                    <xsl:value-of select="id"></xsl:value-of>
                  </BinAbsEntry>
                  <Quantity>
                    <xsl:value-of select="assignedQuantity"></xsl:value-of>
                  </Quantity>
                </row>
              </xsl:for-each>
            </xsl:for-each>
            <xsl:for-each select="serials/serial[location]">
              <xsl:variable name="serialPos" select="position() - 1"></xsl:variable>
              <row>
                <BaseLineNumber>
                  <xsl:value-of select="$linePos"></xsl:value-of>
                </BaseLineNumber>
                <SerialAndBatchNumbersBaseLine>
                  <xsl:value-of select="$serialPos"></xsl:value-of>
                </SerialAndBatchNumbersBaseLine>
                <BinAbsEntry>
                  <xsl:value-of select="location/id"></xsl:value-of>
                </BinAbsEntry>
                <Quantity>1</Quantity>
              </row>
            </xsl:for-each>
          </xsl:for-each>
        </DocumentLinesBinAllocations>
      </BO>
    </BOM>
  </xsl:template></xsl:stylesheet>